Creates a new unavailability
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Request Formats :
application/json, text/json
{
"id": "70fb0c32-796d-4430-bda5-2858950d82e7",
"date_start": "2026-11-19T16:50:32.796359+00:00",
"date_end": "2026-11-19T16:50:32.796359+00:00",
"modified_dateutc": "2026-11-19T16:50:32.796359+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "a05c4e5a-e0b1-4c83-9de9-4469d2e250d8",
"user_code": "sample string 8",
"user": {
"id": "079d68d1-3fc1-4c56-9405-738666627446",
"db_language_id": "03d7f6fd-dd15-4797-80c6-46711f900b05",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-19T16:50:32.796359+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "27e80d21-d7d2-4a3e-a9f3-b154e492d98d",
"sales_organization": {
"id": "172d165e-b366-4f50-a73b-a8aa287236b8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d419353e-c1e0-441e-bdd3-3b1b3ccd2f55",
"db_currency_id": "2838d186-1352-4752-80a1-bbf6ea685fac",
"db_language_id": "0c1b2c97-e115-464d-8457-7cac73c53dc4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T16:50:32.796359+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "a9cbd021-4b29-4a6e-8b5f-69295df6d4ab",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "26dffa59-b0c7-4330-87a7-e50a3514efed",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-19T16:50:32.796359+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "799b9851-28db-4d57-acc5-7dc9ac5c8edb"
},
"user_unavailability_type_id": "e418d58d-a183-4914-956c-4451300894da",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "6b51cf7d-6bea-4223-9861-e8a38626f227",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "a42d93ca-40ae-452c-898f-b3ffdda139fc",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "172d165e-b366-4f50-a73b-a8aa287236b8",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d419353e-c1e0-441e-bdd3-3b1b3ccd2f55",
"db_currency_id": "2838d186-1352-4752-80a1-bbf6ea685fac",
"db_language_id": "0c1b2c97-e115-464d-8457-7cac73c53dc4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T16:50:32.796359+00:00"
},
"modified_dateutc": "2026-11-19T16:50:32.796359+00:00"
}
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.